Anonymous Login
2019-10-18 03:54 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001103v3.0 Release[All Projects] Generalpublic2013-08-28 11:18
Reporteropto 
Assigned Tocaseydk 
PrioritynormalSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0.0 
Summary0001103: Projects: delete broken + part FIX
Descriptionthere is a q-> clear() missing before the query for the list of events to be deleted

but also CEvent->delete() is broken, which then breaks Project delete.
See previous bug #
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0002458

opto (manager)

Last edited: 2012-03-21 09:08

see also this: http://forums.web2project.net/viewtopic.php?t=4855

actually, the q-> clear() is not in the December version of 3 pre, there, delete is working, in the march 6, it needs the clear, otherwise there is a mysql error (in addition to the event delete being broken

~0002461

caseydk (administrator)

This is the hot fix:

https://github.com/caseysoftware/web2project/commit/bb2e1639b479d93dcadf74df6afea8abc1fa2b29

It will be rolled into master for the next release.
+Notes

-Issue History
Date Modified Username Field Change
2012-03-21 08:29 opto New Issue
2012-03-21 09:06 opto Note Added: 0002458
2012-03-21 09:08 opto Note Edited: 0002458
2012-03-24 13:31 caseydk Status new => assigned
2012-03-24 13:31 caseydk Assigned To => caseydk
2012-03-24 13:33 caseydk Note Added: 0002461
2012-03-24 13:33 caseydk Status assigned => resolved
2012-03-24 13:33 caseydk Resolution open => fixed
2013-08-28 11:14 caseydk Fixed in Version => 3.0.0
2013-08-28 11:18 caseydk Status resolved => closed
+Issue History